%define module_name Device-Chip-TSL256x
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Bitfield.pm) perl(Device/Chip.pm) perl(Future.pm) perl(Future/AsyncAwait.pm) perl(Module/Build.pm) perl(Test/Device/Chip/Adapter.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: chip driver for F<TSL256x>
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Device::Chip manpage subclass provides specific communication to a TAOS
TSL2560 or TSL2561 attached to a computer via an I-BC adapter.

The reader is presumed to be familiar with the general operation of this chip;
the documentation here will not attempt to explain or define chip-specific
concepts or features, only the use of this module to access them.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/D*

%changelog
* Tue Jan 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

